Bug 836090 - [abrt] gnome-settings-daemon-3.4.2-1.fc17: __GI_raise: Process /usr/libexec/gnome-settings-daemon was killed by signal 6 (SIGABRT)
[abrt] gnome-settings-daemon-3.4.2-1.fc17: __GI_raise: Process /usr/libexec/g...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:c1473ff569c6f1683358c526505...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 02:14 EDT by costi
Modified: 2013-07-31 16:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:47:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.33 KB, text/plain)
2012-06-28 02:14 EDT, costi
no flags Details
File: xsession_errors (10.67 KB, text/plain)
2012-06-28 02:14 EDT, costi
no flags Details
File: maps (68.54 KB, text/plain)
2012-06-28 02:14 EDT, costi
no flags Details
File: dso_list (14.14 KB, text/plain)
2012-06-28 02:14 EDT, costi
no flags Details
File: build_ids (5.93 KB, text/plain)
2012-06-28 02:14 EDT, costi
no flags Details

  None (edit)
Description costi 2012-06-28 02:14:03 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: __GI_raise
executable:     /usr/libexec/gnome-settings-daemon
kernel:         3.4.2-4.fc17.x86_64
pid:            1101
pwd:            /home/costy
time:           Tue 26 Jun 2012 05:41:35 PM EEST
uid:            1000
username:       costy

backtrace:      Text file, 25939 bytes
build_ids:      Text file, 6068 bytes
dso_list:       Text file, 14479 bytes
maps:           Text file, 70183 bytes
xsession_errors: Text file, 10927 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/costy/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7568b __libc_message libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7c80e _int_free libc.so.6 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4d3cf g_free libglib-2.0.so.0 -
:2235d4258b08913c411f55444869d7a9bda0c127 0x563c - libupdates.so -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x1dc15 g_ptr_array_remove_index_fast libglib-2.0.so.0 -
:2235d4258b08913c411f55444869d7a9bda0c127 0x5e23 - libupdates.so -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4827b - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:f92739f8e7835d0c95ae0af31518199eb6a90ed8 0x392a main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/costy/keyring-9fjACU
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=IBus
:USER=costy
:USERNAME=costy
:MAIL=/var/spool/mail/costy
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/costy/.local/bin:/home/costy/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/costy
:XMODIFIERS=@im=ibus
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=970
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/costy
:SHLVL=1
:LOGNAME=costy
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ZxAAzFAh4g,guid=02f0d4e536d0bc16a4d7f54800000028
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/costy
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-costy-qwfcyB/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/976,unix/unix:/tmp/.ICE-unix/976
:DESKTOP_AUTOSTART_ID=10c2e815c7f25590cd134072168119873700000009760001

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30778                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30778                30778                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/costy/.xsession-errors
:pos:	72594
:flags:	0102002
:2:/home/costy/.xsession-errors
:pos:	72594
:flags:	0102002
:3:socket:[19776]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[19345]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:anon_inode:inotify
:pos:	0
:flags:	02004000
:10:socket:[19797]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[19362]
:pos:	0
:flags:	02004002
:13:anon_inode:inotify
:pos:	0
:flags:	02004000
:14:socket:[19800]
:pos:	0
:flags:	02004002
:15:pipe:[20637]
:pos:	0
:flags:	02000000
:16:socket:[19812]
:pos:	0
:flags:	02004002
:17:socket:[19850]
:pos:	0
:flags:	02004002
:18:/dev/urandom
:pos:	0
:flags:	02100000
:19:socket:[19415]
:pos:	0
:flags:	02000002
:20:socket:[20000]
:pos:	0
:flags:	02000002
:21:/proc/1101/mounts
:pos:	0
:flags:	0100000
:22:socket:[20034]
:pos:	0
:flags:	02004002
:23:pipe:[20637]
:pos:	0
:flags:	02000001
:24:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:Jun 26 17:41:42 localhost abrt[1576]: Saved core dump of pid 1101 (/usr/libexec/gnome-settings-daemon) to /var/spool/abrt/ccpp-2012-06-26-17:41:35-1101 (41148416 bytes)
:Jun 26 17:41:42 localhost gnome-session[976]: WARNING: Application 'gnome-settings-daemon.desktop' killed by signal 6
Comment 1 costi 2012-06-28 02:14:09 EDT
Created attachment 594926 [details]
File: backtrace
Comment 2 costi 2012-06-28 02:14:11 EDT
Created attachment 594927 [details]
File: xsession_errors
Comment 3 costi 2012-06-28 02:14:14 EDT
Created attachment 594928 [details]
File: maps
Comment 4 costi 2012-06-28 02:14:16 EDT
Created attachment 594929 [details]
File: dso_list
Comment 5 costi 2012-06-28 02:14:18 EDT
Created attachment 594930 [details]
File: build_ids
Comment 6 costi 2012-07-03 02:57:00 EDT
when the computer starts it gives me this error, then I have to logout and login again. I think it has to do eith IBUS keyboard driver.

backtrace_rating: 4
Package: gnome-settings-daemon-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 D. Charles Pyle 2012-08-06 22:54:21 EDT
I logged into gnome shell. I did nothing else. It does this every time I log on but most of the backtraces are unusable and reporting is disabled.

backtrace_rating: 4
Package: gnome-settings-daemon-3.4.2-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 D. Charles Pyle 2012-08-07 05:20:20 EDT
Same as before. I logged on and saw this error before doing anything else.

backtrace_rating: 4
Package: gnome-settings-daemon-3.4.2-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 D. Charles Pyle 2012-08-07 06:20:53 EDT
Just logged in. This happens everytime I log in. I also notice that before login the power icon that used to be there is missing. This is a fresh installation and update of Fedora 17.

backtrace_rating: 4
Package: gnome-settings-daemon-3.4.2-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 D. Charles Pyle 2012-08-07 17:16:39 EDT
Same report as before. Just logged on. This time it was after a clean, fresh install of Fedora 17, with no updates applied. I also clicked on the Power applet in System Settings and got the same thing. That one was unusable and reporting was disabled.

Oddly enough, I had not had this problem before on a fresh Fedora 17 installation, using all the same parameters and settings as before, with no differences. I did see differences in the number of packages installed, however. This time it was 2,706, whereas the last time it was 2,700, even though all of the same settings and same choices for packages were made during the installation.

Could an Anaconda problem be the source of this problem? I am about to update again to see if this problem goes away.


backtrace_rating: 4
Package: gnome-settings-daemon-3.4.1-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 D. Charles Pyle 2012-08-11 16:38:40 EDT
Ran Cheese. It crashed, taking gnome shell with it. Now I get this error again with crashing and disappearing power icon in panel. It is a freshs install of Fedora 17.

backtrace_rating: 4
Package: gnome-settings-daemon-3.4.2-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Dave Galloway 2012-12-06 08:39:47 EST
booting up - told me to sign out and back in

backtrace_rating: 4
Package: gnome-settings-daemon-3.4.2-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 Dave Galloway 2012-12-06 13:29:34 EST
booting up - told me there was an unexpected error and to log out and log back in

backtrace_rating: 4
Package: gnome-settings-daemon-3.4.2-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Fedora End Of Life 2013-07-03 16:37:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-07-31 16:47:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.